summaryrefslogtreecommitdiff
path: root/tests/rm/r-4.sh
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2015-07-04 17:13:50 +0300
committerIgor Pashev <pashev.igor@gmail.com>2015-07-04 17:13:50 +0300
commit71cd8e3a743046573744123777061b64881bf372 (patch)
tree82522befe647f4fff186a5630cad0cad33f8ef53 /tests/rm/r-4.sh
parentc18578632fd3c9e513e613a86ba2b7c4ebee6c45 (diff)
downloadcoreutils-71cd8e3a743046573744123777061b64881bf372.tar.gz
Imported Upstream version 8.24upstream/8.24upstream
Diffstat (limited to 'tests/rm/r-4.sh')
-rwxr-xr-xtests/rm/r-4.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/rm/r-4.sh b/tests/rm/r-4.sh
index 095f1516..91a8b58a 100755
--- a/tests/rm/r-4.sh
+++ b/tests/rm/r-4.sh
@@ -1,7 +1,7 @@
#!/bin/sh
# Try to remove '.' and '..' recursively.
-# Copyright (C) 2006-2014 Free Software Foundation, Inc.
+# Copyright (C) 2006-2015 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -43,8 +43,8 @@ rmtest 'd/..' || fail=1
rmtest 'd/../' || fail=1
-# This test is too dangerous -- if there's a bug you're wiped out!
-# rm -fr / 2>/dev/null && fail=1
+# This test is handled more carefully in r-root.sh
+# returns_ 1 rm -fr / 2>/dev/null || fail=1
test -f d/a || fail=1